Skip to main content
GET
/
api
/
v1
/
teams
/
{teamId}
/
bookings
/
{bookingId}
Get a booking
curl --request GET \
  --url https://enterprise-api.avoca.ai/api/v1/teams/{teamId}/bookings/{bookingId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "session_id": "<string>",
    "team_id": 123,
    "scheduler_id": 123,
    "customer_info": {
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": "<string>"
    },
    "issue_type": "<string>",
    "job_type": "<string>",
    "selected_date": "2023-12-25",
    "selected_time": "<string>",
    "utm": {
      "source": "<string>",
      "medium": "<string>",
      "campaign": "<string>",
      "term": "<string>",
      "content": "<string>"
    },
    "google_ads": {
      "gclid": "<string>",
      "wbraid": "<string>",
      "gbraid": "<string>"
    },
    "st_job_id": 123,
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "last_activity_at": "2023-11-07T05:31:56Z",
    "events": [
      {
        "event_type": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "team_id": 123
  }
}

Authorizations

Authorization
string
header
required

API key in the format avoca_<64 hex characters>

Path Parameters

teamId
integer
required

The team ID

bookingId
string
required

The session ID of the booking

Response

The booking

data
object

A customer's journey through the scheduling widget — from starting a booking to completing it or dropping off.

meta
object